Package ru.bitel.bgbilling.plugins.sqleditor.common.service

# Interface SqlEditorService

    public interface SqlEditorService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `databaseList()` | Список БД
  `java.lang.String` | `doQuery​(java.lang.String databaseId, java.lang.String query, Page page, java.lang.String email)` | Выполнение запроса
  `java.util.List<java.lang.String>` | `getTableNamesList()` |
  `void` | `templateDelete​(int sqlTemplateId)` | Удаление SQL шаблона
  `java.lang.String` | `templateList()` |
  `void` | `templateUpdate​(java.lang.String sqlTemplateTitle, java.lang.String sql, boolean all)` | Сохранение SQL шаблона

- ## Method Details

  - ### templateList

    java.lang.String templateList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Returns:
      список сохранённых шаблонов
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### templateUpdate

    void templateUpdate​(java.lang.String sqlTemplateTitle, java.lang.String sql, boolean all) throws ru.bitel.bgbilling.common.BGException
    Сохранение SQL шаблона
    Parameters:
      `sqlTemplateTitle` - название шаблона
      `sql` - запрос для сохранения в шаблон
      `all` - флаг, видим ли данный шаблон для всех
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### templateDelete

    void templateDelete​(int sqlTemplateId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление SQL шаблона
    Parameters:
      `sqlTemplateId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### databaseList

    java.lang.String databaseList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Список БД
    Returns:
      список баз данных
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### doQuery

    java.lang.String doQuery​(java.lang.String databaseId, java.lang.String query, Page page, java.lang.String email) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Выполнение запроса
    Parameters:
      `databaseId` - id базы данных для запроса
      `query` - тело запроса
      `page` - постраничный доступ к результатам
      `email` - почта, куда отправляется результат выполнения запроса, если выбрана отправка на почту
    Returns:
      JSON ответ с данными ответа на запрос
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getTableNamesList

    java.util.List<java.lang.String> getTableNamesList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`